<!-- Tab panes -->
<div class="tab-content no-padding margin-top-15">
    <div role="tabpanel" class="tab-pane active" id="tab1">
        <!-- <div class="cell"> <a href="#" data-toggle="modal" data-target="#meeting-info">
            <h3>Take Advantage</h3>
            <p><i>.</i>Apr 1 , 2018</p>
        </a> </div>
        <div class="cell"> <a href="#">
            <h3>Find jobs in Google</h3>
            <p><span>John</span><i>.</i>Apr 7 , 2018</p>
        </a> </div>
        <div class="cell"> <a href="#">
            <h3>Good to go store</h3>
            <p><i>.</i>Apr 21 , 2018</p>
        </a> </div>
        <p>&nbsp;</p> -->
        <% logger.info "===up===#{@upcoming.inspect}" %>
        <% if @upcoming.present? %>
            <% @upcoming.each do |upcoming| %>
                <div class="cell meeting-detail meeting-detail-<%= upcoming.id %>">
                    <!-- <a href="#" data-toggle="modal" data-target="#meeting-info"> -->
                    <a href="javascript:void(0)" data-id="<%= upcoming.id %>" class="meeting_info meeting_info_<%= upcoming.id %>">
                        <div class="delete_icon_network pull-right">
                            <span class="delete_network delete_network_<%= upcoming.id %>" data-id="<%= upcoming.id %>"><i class="fa fa-trash"></i>
                            </div>
                        <div class="comp_logo">
                            <% detail = CompanyDetail.where('employer_name = ?', "#{upcoming.company_name}").first %>
                            <% logo = detail.present? ? File.exist?(Rails.root + "public/assets/CompanyLogos/#{detail.employer_id}.png") ? Rails.application.secrets.BASE_URL_IMAGE + "/assets/CompanyLogos/"+detail.employer_id.to_s+".png" : Rails.application.secrets.BASE_URL_IMAGE + "/assets/company_logo.png" : Rails.application.secrets.BASE_URL_IMAGE + "/assets/company_logo.png" %>
                            <img data-original="<%= logo %>" class="lazy">
                            <%#= image_tag logo, lazy: true %>
                            <h3><%= upcoming.company_name %></h3>
                        </div>
                        <h4><%= upcoming.contact_name %></h4>
                        <p><i>.</i><%= upcoming.appointment_date.strftime('%b %d, %Y') %></p>
                    </a>
                </div>
            <% end %>
        <% else %>
            <h3> No upcoming meetings. Please add a new meeting. </h3>
        <% end %>
    </div>
    <div role="tabpanel" class="tab-pane" id="tab2">
        <% logger.info "===ps===#{@past.inspect}" %>
        <% if @past.present? %>
            <% @past.each do |past| %>
                <div class="cell meeting-detail meeting-detail-<%= past.id %>">
                    <!-- <a href="#" data-toggle="modal" data-target="#meeting-info"> -->
                    <a href="javascript:void(0)" data-id="<%= past.id %>" class="meeting_info meeting_info_<%= past.id %>">
                        <div class="delete_icon_network pull-right">
                            <span class="delete_network delete_network_<%= past.id %>" data-id="<%= past.id %>"><i class="fa fa-trash"></i>
                            </div>
                        <div class="comp_logo">
                            <% detail = CompanyDetail.where('employer_name = ?', "#{past.company_name}").first %>
                            <% logo = detail.present? ? File.exist?(Rails.root + "public/assets/CompanyLogos/#{detail.employer_id}.png") ? Rails.application.secrets.BASE_URL_IMAGE + "/assets/CompanyLogos/"+detail.employer_id.to_s+".png" : Rails.application.secrets.BASE_URL_IMAGE + "/assets/company_logo.png" : Rails.application.secrets.BASE_URL_IMAGE + "/assets/company_logo.png" %>
                            <img data-original="<%= logo %>" class="lazy">
                            <!-- <img class="lazy" data-original="img/example.jpg" width="640" height="480"> -->

                            <%#= image_tag "#{logo}", lazy: true %>
                            <!-- <img src="company-logo.png"> -->
                            <h3><%= past.company_name %></h3>
                        </div>
                        <h4><%= past.contact_name %></h4>
                        <p><i>.</i><%= past.appointment_date.strftime('%b %d, %Y') %></p>
                    </a>
                </div>
            <% end %>
        <% else %>
            <h3> No past meetings. </h3>
        <% end %>
    </div>
</div>
<!-- Create Meeting modal -->
<div id="create_meeting" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <%= form_for @network_tracker, html: {class: 'network_tracker_form'} do |f| %>
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Create Meeting</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Company Name" class="form-control"> -->
                                <%#= f.text_field :company_name, class: 'form-control', placeholder: 'Company Name' %>
                                <%= f.select :company_name, [], {prompt: 'Select Company'}, class: 'select2 select_company form-control', required: true %>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Appointment Date" class="form-control"> -->
                                <%= f.text_field :appointment_date, class: 'form-control appt_date', placeholder: 'Appointment Date', required: true, autocomplete: 'off' %>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <%#= f.text_field :start_time, class: 'form-control start_time timepicker',  placeholder: 'Start Time', required: true, autocomplete: 'off', validStartTime: true %>
                                <%= f.text_field :start_time, class: 'form-control start_time timepicker',  placeholder: 'Start Time', required: true, autocomplete: 'off' %>
                                <!-- <input type="text" placeholder="Start Time" class="form-control"> -->
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <%= f.text_field :end_time, class: 'form-control end_time timepicker', placeholder: 'End Time', required: true, autocomplete: 'off' %>
                                <!-- <input type="text" placeholder="End Time" class="form-control"> -->
                            </div>
                        </div>
                        <!-- <div class="col-sm-4">
                            <div class="form-group">
                                <select class="form-control">
                                    <option>EST</option>
                                </select>
                            </div>
                        </div> -->
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Contact or Event Name (Optional)" class="form-control"> -->
                                <%= f.text_field :contact_name, class: 'form-control', placeholder: 'Contact or Event Name (optional)', autocomplete: 'off' %>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <input type="text" placeholder="Contact Email (Optional)" class="form-control"> -->
                                <%= f.text_field :contact_email, class: 'form-control', placeholder: 'Contact Email (optional)', autocomplete: 'off' %>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <!-- <textarea class="form-control" rows="4" placeholder="Notes (Optional)"></textarea> -->
                                <%= f.text_area :notes, class: 'form-control', rows: 4, placeholder: 'Notes (optional)', autocomplete: 'off'  %>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="center-block">
                        <button type="button" class="btn btn-submit stroke" data-dismiss="modal">Cancel</button>
                        <!-- <input type="button" class="btn btn-theme rounded" value="Save"> -->
                        <%= f.button 'Save', class: 'btn btn-theme save_meeting rounded', data: { disable_with: 'Saving ...' } %>
                    </div>
                </div>
            </div>
        <% end %>
    </div>
</div>
<!-- /create modal -->

<!-- Meeting info modal -->
<div id="meeting-info" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">

                <h4 class="modal-title">Meeting Details</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Company Name</label>
                            <p>Giorgio Foods</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Appointment Date</label>
                            <p>03/16/2018</p>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group info">
                            <label>Start Time</label>
                            <p>07:00 PM</p>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group info">
                            <label>End Time</label>
                            <p>08:00 PM - EST</p>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Notes</label>
                            <p>Explore the history of the classic Lorem Ipsum passage and generate your own text using any number of characters, words, sentences or paragraphs. Commonly used as placeholder text in the graphic and print industries, Lorem Ipsum's origins extend far back to a scrambled Latin passage.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <div class="center-block">
                    <button type="button" class="btn btn-submit " data-dismiss="modal">Cancel</button>
                    <input type="button" class="btn btn-theme rounded" value="Submit">
                </div>
            </div>
        </div>

    </div>
</div>
<!-- /info modal-->


<script>

var date = new Date();
date.setDate(date.getDate());

$('.appt_date').datepicker({
    format: "mm/dd/yyyy",
    altField: "#actualDate",
    altFormat: "yy-mm-dd",
    startDate: date,
});

$('.start_time').on('focus', function(){
    console.log("======focus=========");
    $('.start_time').timepicker({ defaultTime: '12:00 am', placeholder: 'Select Time'});
})
$('.end_time').on('focus', function(){
    console.log("======focus=========");
    $('.end_time').timepicker({ defaultTime: '12:15 am', placeholder: 'Select Time'});
})


function convert_to_24_hour(time){
    var hours = Number(time.match(/^(\d+)/)[1]);
    var minutes = Number(time.match(/:(\d+)/)[1]);
    var AMPM = time.match(/\s(.*)$/)[1];
    if(AMPM == "PM" && hours<12) hours = hours+12;
    if(AMPM == "AM" && hours==12) hours = hours-12;
    var sHours = hours.toString();
    var sMinutes = minutes.toString();
    if(hours<10) sHours = "0" + sHours;
    if(minutes<10) sMinutes = "0" + sMinutes;
    // alert(sHours + ":" + sMinutes);
    return (sHours + ":" + sMinutes)
}


$('.end_time').on('change', function(){
    console.log(1);
    var flg = 0;
    // var id = $(this).data('id')
    // var start_time = convert_to_24_hour($('.start_time_'+id).val())
    var start_time = convert_to_24_hour($('.start_time').val())
    console.log(start_time);
    console.log($(this).val());
    console.log($(this).val() < start_time);
    if(start_time == ""){

    }else{
        if(convert_to_24_hour($(this).val()) < start_time){
            // alert(1)
            // if($(this).hasClass('valid')){
                $(this).removeClass('valid')
                $(this).addClass('error')
                if($(this).next().length > 0){
                }else{
                    var element = "<div id='network_tracker_end_time-error' class='error'>End time should be greater than start time.</div>"
                    $(this).after(element)
                }
                flg = 1
            // }
            // alert(1)
            // alert('End time should be greater')
        }else{
            flg = 0
            $(this).removeClass('error')
            $(this).addClass('valid')
            $(this).next().remove()
        }
    }
})


//
// function convert_to_24_hour(time){
//     var hours = Number(time.match(/^(\d+)/)[1]);
//     var minutes = Number(time.match(/:(\d+)/)[1]);
//     var AMPM = time.match(/\s(.*)$/)[1];
//     if(AMPM == "PM" && hours<12) hours = hours+12;
//     if(AMPM == "AM" && hours==12) hours = hours-12;
//     var sHours = hours.toString();
//     var sMinutes = minutes.toString();
//     if(hours<10) sHours = "0" + sHours;
//     if(minutes<10) sMinutes = "0" + sMinutes;
//     alert(sHours + ":" + sMinutes);
// }

// $('.end_time').on('focusout', function(){
//     console.log(1);
//     var flg = 0;
//     var id = $(this).data('id')
//     var start_time = minFromMidnight($('.start_time').val())
//     console.log(start_time);
//     console.log(convert_to_24_hour($(this).val()));
//     console.log($(this).val() < start_time);
//     if(start_time == ""){
//
//     }else{
//         if(minFromMidnight($(this).val()) < start_time){
//             // alert(1)
//             // if($(this).hasClass('valid')){
//                 $(this).removeClass('valid')
//                 $(this).addClass('error')
//                 if($(this).next().length > 0){
//                 }else{
//                     var element = "<div id='network_tracker_end_time-error' class='error'>End time should be greater than start time.</div>"
//                     $(this).after(element)
//                 }
//                 flg = 1
//             // }
//             // alert(1)
//             // alert('End time should be greater')
//         }else{
//             flg = 0
//             $(this).removeClass('error')
//             $(this).addClass('valid')
//             $(this).next().remove()
//         }
//     }
// })
// $('.start_time').on('focusout', function(){
//     console.log(1);
//     var flg = 0;
//     var id = $(this).data('id')
//     var end_time = minFromMidnight($('.end_time').val())
//     console.log(end_time);
//     console.log($(this).val());
//     console.log($(this).val() > end_time);
//     if(end_time == ""){
//
//     }else{
//         if(minFromMidnight($(this).val()) > end_time){
//             // alert(2)
//             // if($(this).hasClass('valid')){
//                 $(this).removeClass('valid')
//                 $(this).addClass('error')
//                 if($(this).next().length > 0){
//                 }else{
//                     var element = "<div id='network_tracker_end_time-error' class='error'>Start time should be earlier than end time.</div>"
//                     $(this).after(element)
//                 }
//                 flg = 1
//             // }
//             // alert(1)
//             // alert('End time should be greater')
//         }else{
//             flg = 0
//             $(this).removeClass('error')
//             $(this).addClass('valid')
//             $(this).next().remove()
//         }
//     }
// })
function minFromMidnight(tm){
 var ampm= tm.substr(-2)
 var clk = tm.substr(0, 5);
 var m  = parseInt(clk.match(/\d+$/)[0], 10);
 var h  = parseInt(clk.match(/^\d+/)[0], 10);
 h += (ampm.match(/pm/i))? 12: 0;
 return h*60+m;
}
if($('.start_time').hasClass('error') || $('.end_time').hasClass('error')){
    $('.save_meeting').off('click')
    $('.save_meeting').addClass('disabled')
}
// $('.start_time').click(function(){$(this).timepicker({defaultTime: "15:05 pm"})})
// $('.timepicker').timepicker({ placeholder: 'Select'})
$( ".select_company" ).select2({
    // theme: "bootstrap"
    placeholder: 'Select Company',
    tags: true,
    // allowClear: true,
    // minimumInputLength: 3,
    ajax: {
        // url: '/companies/company_select2',
        url: '/companies/company_select2',
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name,
                        // slug: item.slug,
                        id: item.company_name
                    }
                })
            };
        }
    }
});

$('.save_meeting').on('click', function(){
    if($('.network_tracker_form').valid()){
        $('.network_tracker_form').submit();
    }
})
</script>
